#### D.15.4.6 diffAlgebraListGen

Procedure from library `difform.lib` (see difform_lib).

Usage:
  diffAlgebraListGen(#); # list

Return:
  - a list of generators of the differential algebra as module over the basering - a list of generators of a graded part of the differential algebra

Remarks:
  In order to find all generators, they are counted 'binary': The generators are in 1:1 - correspondence to the dual number representations of 1 up to (2^n-1)

Note:
  - if all generators of the differential algebra are needed, apply the procedure without input
  - if the generator(s) of a graded part are needed, apply the procedure with an integer which specifies the wanted degree
  - the list of generators is sorted with respect to the monomial ordering on the differential algebra

Example:

    LIB "difform.lib";
    ring R = 11,(x,y,z),dp;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDx, dDy, dDz, dx, dy, dz are available.
    ////////////////////////////////////////////
    // Generators of the differential algebra //
    ////////////////////////////////////////////
    diffAlgebraListGen();
    ==> [1]:
    ==>    1
    ==>
    ==> [2]:
    ==>    dz
    ==>
    ==> [3]:
    ==>    dy
    ==>
    ==> [4]:
    ==>    dx
    ==>
    ==> [5]:
    ==>    dy*dz
    ==>
    ==> [6]:
    ==>    dx*dz
    ==>
    ==> [7]:
    ==>    dx*dy
    ==>
    ==> [8]:
    ==>    dx*dy*dz
    ==>
    //////////////////////////////////////////
    // Generators of the second graded part //
    //////////////////////////////////////////
    diffAlgebraListGen(2);
    ==> [1]:
    ==>    dy*dz
    ==>
    ==> [2]:
    ==>    dx*dz
    ==>
    ==> [3]:
    ==>    dx*dy
    ==>
    kill Omega_R,dx,dy,dz;

User manual for Singular version 4.4.1, 2025, generated by texi2html.